Compiling GRASS is only recommended to people with experience (that's why we also offer precompiled binaries).

The configuration step requires a set of installed libraries which are described in the REQUIREMENTS.html file (which you also find in the main directory of the source code tarball). There are subtle differences in the requirements for GRASS 6 and requirements for GRASS 7.

The compilation is desribed in the INSTALL file (which you also find in the main directory of the source code tarball). See INSTALL for GRASS 6 and INSTALL for GRASS 7.

Dear Newbie, before asking developers please be so kind to search the developers mailing list archive - most questions have been already answered several times :-)

BTW: For compiling GRASS GIS natively on MS-Windows integrated with QGIS: see Building Windows Binary On Linux (Cross compilation with MinGW).

Development >> Compiling GRASS | Last change: 22-Aug-2016